/* GETF() kann zum Einlesen von Dateien beliebigen
   Datei als String benutzt werden. */

/* cdir(0) liefert das aktuelle Verzeichnis
   im Normalfall ist es das GAUSS-Home Verzeichnis */ 
data_directory=cdir(0)$+"\\examples\\";

/* Nach dieser Operation enthlt y alle Daten aus
   der Datei als ein langer String */
fname = data_directory$+"fonds.csv";
y = getf(fname,0);

/* Die Daten aus diesem String knnten nun durch passende
   Extraktion fr eine Berechung aufbereitet werden*/

/* Zuerst teilt man den String in Einzelteile
   es entsteht ein 1,N Vector*/
y1=strsplit(y);

/* Dann wird der 1,N Vector umgebrochen, so dass
   eine Datenmatrix ensteht. Die Anzahl der Spalten muss bekannt sein*/
spaltenzahl=14;
y2=reshape(y1,cols(y1)/spaltenzahl,spaltenzahl);


/* Nun greift man gezielt die gewnschte Spalte fr 
   weitere Operationen heraus */
for i (1,cols(y2),1);
    /* Braucht man numerische Werte, mssen diese natrlich gewandelt werden*/
    if y2[1,i]$=="Price";
        prices=strtof(y2[2:rows(y2),i]);
    endif;
    
    if y2[1,i]$=="ISIN";
        isin=y2[2:rows(y2),i];
    endif;
endfor;